"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104c89f80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a020>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a0c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a200>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a2a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a340>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a3e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a520>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a5c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a660>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a7a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a840>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a8e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x104c8a980>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x104c8aa20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x104c8aac0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ab60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ac00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x104c8aca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ad40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ade0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ae80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x104c8af20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x104c8afc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b060>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b100>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b1a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b240>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b2e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b380>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b420>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b4c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b560>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b600>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b6a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b740>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b7e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b880>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b920>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8b9c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104c8ba60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bb00>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bba0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bc40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bce0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bd80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x104c8be20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bec0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104c8bf60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc0e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc180>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc220>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc2c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc360>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc400>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc4a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc540>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc5e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc680>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc720>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc7c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc860>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc900>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x104ccc9a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104ccca40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104cccae0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x104cccb80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104cccc20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104ccccc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x104cccd60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104ccce00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104cccea0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x104cccf40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x104cccfe0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd080>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd120>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd260>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd1c0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd300>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd3a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104ccd440>)]
name: str = 'fr_HOCCN'
